pkgname="mpfr"
pkgver="4.1.0"
pkgurl="https://ftp.gnu.org/gnu/mpfr/mpfr-$pkgver.tar.gz"

pkgmode="web"

pkgdeps=('gmp')

islib=1

setupdir="$workdir"
builddir="$workdir/build"
installdir="$workdir/build"
srcdir="$workdir/mpfr-$pkgver"

port_unpack()
{
    tar xvf mpfr-$pkgver.tar.gz
}

port_configure()
{
    $srcdir/configure --with-gnu-ld --host=x86_64-luna --enable-shared=no --prefix=/usr
}

port_build()
{
    make -j$(nproc)
}

port_install()
{
    make DESTDIR=$LUNA_BASE install
    rm -f $LUNA_BASE/usr/lib/*.la
}

port_uninstall()
{
    make DESTDIR=$LUNA_BASE uninstall
    rm -f $LUNA_BASE/usr/lib/libmpfr.a
}